<?php
/**
 * The header for our theme.
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package aptnews
 */

?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="profile" href="http://gmpg.org/xfn/11">
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
	<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>

	<div id="page" class="site">
		<a class="skip-link screen-reader-text" href="#content"><?php esc_html_e( 'Skip to content', 'apt-news' ); ?></a>
		<header id="masthead" class="site-header _heading mmenu-fixed-element clearfix" role="banner">
			<?php if (get_theme_mod("headbar_show_demo", '1')): ?>
				<?php get_template_part('demo/headbar'); ?>
			<?php else: ?>
				<?php dynamic_sidebar( 'headbar' ); ?>
			<?php endif; ?>
		</header><!--site-header-->
		<div id="content" class="site-content">