<?php

/*
Widget Name: APT Running Text
Description: Running text from right to left
Author: Me
Author URI: https://github.com/aptarmy
Widget URI: https://aptarmy.github.io/apt-news.io/hello-world-widget-docs,
Video URI: https://aptarmy.github.io/apt-news.io/hello-world-widget-video
*/

// this class will be used to register a widget
// siteorigin_wiget class was extended from WP_widget class
// so we can use constructor available in WP_widge class
class APT_Running_Text extends APT_Widget {
	
	function __construct() {
		//Here you can do any preparation required before calling the parent constructor, such as including additional files or initializing variables.

		//Call the parent constructor with the required arguments.
		parent::__construct(
			// The unique id for your widget.
			'apt_running_text',

			// The name of the widget for display purposes.
			__('APT Running Text', 'apt-news'),

			// The $widget_options array, which is passed through to WP_Widget.
			// It has a couple of extras like the optional help URL, which should link to your sites help or support page.
			array(
				'description' => __('Running Text from left to right', 'apt-news'),
				'help'        => 'https://aptarmy.github.io/apt-news.io/hello-world-widget-docs',
				'panels_groups' => array('apt_widgets'),
			),

			//The $control_options array, which is passed through to WP_Widget
			array(
			),

			//The $form_options array, which describes the form fields used to configure SiteOrigin widgets. We'll explain these in more detail later.
			array(
				'running_text' => array(
					'type' => 'text',
					'label' => __('Running Text goes here.', 'apt-news'),
					'default' => 'some running text'
				),
				'text_color' => array(
					'type' => 'color',
					'label' => __('Text color for the running text', 'apt-news'),
					'default' => '#ffc0cb'
				),
				'font_size' => array(
					'type' => 'number',
					'label' => __('Font size for the running text in \'em\' unit(default is 1.6)', 'apt-news'),
					'default' => '1.6'
				),
				'background_color' => array(
					'type' => 'color',
					'label' => __('Background color for the running text', 'apt-news'),
					'default' => '#000'
				),
				$this->get_media_query_id() => $this->get_media_query_options(),
			),

			//The $base_folder path string.
			plugin_dir_path(__FILE__)
		);
	}

	/* Get template file */
    function get_template_name($instance) {
        return 'template';
    }

	/* Get less file */
    function get_style_name($instance) {
        return 'style';
    }
	
	/* set less variable */
	function get_less_variables($instance){
		return array(
			'background_color' => $instance['background_color'],
			'text_color' => $instance['text_color'],
			'font_size' => $instance['font_size'] . 'em',
		);
	}
}
// siteorigin_widget_register($desired_widget_id, $path_to_widget, $class_used_to_create_widget)
siteorigin_widget_register('apt_running_text', __FILE__, 'APT_Running_Text');