<?php

/*
Widget Name: APT Site Branding
Description: Show site branding that you spacified in theme customizer.
Author: Me
Author URI: https://github.com/aptarmy
Widget URI: https://aptarmy.github.io/apt-news.io/hello-world-widget-docs,
Video URI: https://aptarmy.github.io/apt-news.io/hello-world-widget-video
*/

// this class will be used to register a widget
// siteorigin_wiget class was extended from WP_widget class
// so we can use constructor available in WP_widge class
class APT_Site_Branding extends APT_Widget {

	private $plugin_url;
	
	function __construct() {

		$this->plugin_url = theme_dir_url(__FILE__);

		//Call the parent constructor with the required arguments.
		parent::__construct(
			// The unique id for your widget.
			'apt_site_branding',

			// The name of the widget for display purposes.
			__('APT Site Branding', 'apt-news'),

			// The $widget_options array, which is passed through to WP_Widget.
			// It has a couple of extras like the optional help URL, which should link to your sites help or support page.
			array(
				'description' => __('Show site branding that you spacified in theme customizer.', 'apt-news'),
				'help'        => 'https://aptarmy.github.io/apt-news.io/hello-world-widget-docs',
				'panels_groups' => array('apt_widgets'),
			),

			//The $control_options array, which is passed through to WP_Widget
			array(
			),

			//The $form_options array, which describes the form fields used to configure SiteOrigin widgets. We'll explain these in more detail later.
			array(
				$this->get_float_id() => $this->get_float_options(),
				$this->get_media_query_id() => $this->get_media_query_options(),
			),

			//The $base_folder path string.
			plugin_dir_path(__FILE__)
		);
	}

	/* Get template file */
    function get_template_name($instance) {
        return 'template';
    }

	/* Get less file */
    function get_style_name($instance) {
    	wp_enqueue_style( "apt_site_branding", $this->plugin_url . "styles/style.css" );
        return false;
    }
	
	/* set less variable */
	function get_less_variables($instance){
		return array(
			
		);
	}

	function the_fallback_logo() {
		echo '<img src="' . theme_dir_url(__FILE__) . 'images/APT-news-logo.jpg">';
	}
}
// siteorigin_widget_register($desired_widget_id, $path_to_widget, $class_used_to_create_widget)
siteorigin_widget_register('apt_site_branding', __FILE__, 'APT_Site_Branding');