<?php
/**
 * The main template file.
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package aptnews
 */

get_header(); ?>

<div class="main-header">
	<div class="container">
		<h2 class="main-title"><?php single_post_title(); ?></h2>
	</div>
</div>

<div class="container">
	<div id="primary" class="content-area -rightbar">
		<main id="main" class="site-main" role="main">
			<div class="seed-grid-3">
				<?php if ( have_posts() ) : ?>

					<?php if ( is_home() && ! is_front_page() ) : ?>
						<header>
							<h1 class="page-title screen-reader-text"><?php single_post_title(); ?></h1>
						</header>
					<?php endif; ?>

					<?php /* Start the Loop */ ?>
					<?php while ( have_posts() ) : the_post(); ?>

						<?php

							/*
							 * Include the Post-Format-specific template for the content.
							 * If you want to override this in a child theme, then include a file
							 * called content-___.php (where ___ is the Post Format name) and that will be used instead.
							 */
							//get_template_part( 'template-parts/content', get_post_format() );
							get_template_part( 'template-parts/content', 'card-excerpt' );
						?>

					<?php endwhile; ?>

					<?php aptnews_posts_navigation(); ?>

				<?php else : ?>

					<?php get_template_part( 'template-parts/content', 'none' ); ?>

				<?php endif; ?>
			</div>
		</main><!-- #main -->
	</div><!-- #primary -->

<?php get_sidebar('right'); ?>
</div><!--container-->
<?php get_footer(); ?>
