<?php
/**
 * Template part for displaying posts.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package aptnews
 */

?>
<article id="post-<?php the_ID(); ?>" <?php post_class('seed-col'); ?>>
	<div class="content-item -list">
		<div class="pic">
			<a href="<?php the_permalink(); ?>" title="Permalink to <?php the_title_attribute(); ?>" rel="bookmark">
				<?php if(has_post_thumbnail()) { the_post_thumbnail();} else { echo '<img src="' . esc_url( get_template_directory_uri()) .'/img/thumb.jpg" alt="'. get_the_title() .'" class="-image_cover" />'; }?>
			</a>
		</div><!--pic-->
		<div class="info">
			<header class="entry-header">
				<?php the_title( sprintf( '<h2 class="entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h2>' ); ?>

				<?php if ( 'post' === get_post_type() ) : ?>
					<div class="entry-meta">
						<?php aptnews_posted_on(); ?>
					</div><!-- .entry-meta -->
				<?php endif; ?>
			</header><!-- .entry-header -->

			<footer class="entry-footer">
				<?php aptnews_entry_footer(); ?>
			</footer><!-- .entry-footer -->
		</div><!--info-->
	</div>
</article><!-- #post-## -->